Jifty::Logger::EventAppender(3)

NAME
Jifty::Logger::EventAppender - Create Jifty events from log directives

SYNOPSIS
In a log4perl config file:

    log4perl.appender.Event=Jifty::Logger::EventAppender
    log4perl.appender.Event.class=YourApp::Event::Log
    log4perl.appender.Event.arbitraryData=42
    log4perl.appender.Event.layout=SimpleLayout

DESCRIPTION
This class is a Log::Log4perl-compatible appender which creates Jifty::Event::Log objects when a logging instruction is received.

METHODS

  new PARAMHASH
The "class" configuration parameter controls the class of the event to create. It defaults to Jifty::Event::Log. All other parameters are passed through to the event when it is created.

  log PARAMHASH
Creates an instance of the event with all of the configuration parameters set in the log4perl config file, as well as all of the contents of the "PARAMHASH" -- see Log::Log4perl::Appender for details of the arguments therein.